Package org.apache.tapestry5.internal.plastic

## Enum FieldState

- java.lang.Object
- - java.lang.Enum<FieldState>
  - - org.apache.tapestry5.internal.plastic.FieldState

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<FieldState>`

      public enum FieldState
      extends java.lang.Enum<FieldState>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `CONDUIT` |
    `INITIAL` |
    `INJECTED` |

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `java.lang.String` | `description` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static FieldState` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static FieldState[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### INITIAL

          public static final FieldState INITIAL

    - #### INJECTED

          public static final FieldState INJECTED

    - #### CONDUIT

          public static final FieldState CONDUIT

  - ### Field Detail

    - #### description

          public final java.lang.String description

  - ### Method Detail

    - #### values

          public static FieldState[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (FieldState c : FieldState.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static FieldState valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null